Appearance
Search for content in the community
Search
Endpoint to search for a term in the content. The search algorithm is the same as the one in the user facing frontend. Additional filters can be passed to this endpoint in order to narrow down the search results.
GET
/search
Parameters
Query Parameters
q*
Search query
Type
Requiredstring
categoryIds
Category ids to search in
Type
array
Default
sections
Sections (categories.lvl0) to search in
Type
array
Default
parentCategories
Parent categories (categories.lvl1) to search in
Type
array
Default
contentTypes
Content types to search in
Type
array
Default
tags
Search in topic with specific tags
Type
array
Default
moderatorTags
Search in topic with specific moderator tags
Type
array
Default
hasAnswer
Set to true to only return questions with answers
Type
boolean
Default
nullpage
Used for pagination. An integer greated than 0.
Type
integer
Default
1pageSize
Number of results to return per page (1-200, defaults to 50).
Type
integer
Default
50Maximum
200Minimum
1Responses
OK
application/json
JSON "community": [ { "contentType": "string", "url": "string", "title": "string", "content": "string", "firstPost": "string", "categoryId": 0, "categoryName": "string", "sectionName": null, "parentCategoryName": null, "tags": [ "string" ], "hasAnswer": true, "publicId": 0, "id": 0, "authorId": 0, "authorName": "string", "createdAt": 0 } ]
{
}

